#include "mbed.h"
#include "GPS.h"

Serial pc(USBTX, USBRX);
GPS gps(p9, p10);

int main() {
    int gps_message;
    while (1) {
        gps_message = gps.sample();
        if (gps_message == PARSED) {
            pc.printf("I'm at %f, %f\n", gps.get_dec_longitude(), gps.get_dec_latitude());
            pc.printf("%d satelites used\n", gps.get_satelites());
            pc.printf("altitude = %f M\n\n", gps.get_msl_altitude());
        } else if (gps_message == NO_LOCK) {
            pc.printf("Oh Dear! No lock :(\n");
        }
    }
}